#include "src/viewer/simpleViewer.h"
#include "src/window/mainwindow.h"
#include <QApplication>
#include <QDesktopWidget>
#include <QColorDialog>

int main(int argc, char *argv[])
{
	QApplication a(argc, argv);
	QDesktopWidget dw;

	// Set the core profile and version of OpenGL shaders
	QSurfaceFormat fmt;
	fmt.setVersion(4, 0);
	fmt.setProfile(QSurfaceFormat::CoreProfile);
	QSurfaceFormat::setDefaultFormat(fmt);

	MainWindow w;

	// Instantiate and layout the viewer.
	Viewer *v = new Viewer();
	w.addViewer(v);
	w.show();

	return a.exec();
}
